View Issue Details

IDProjectCategoryView StatusLast Update
00288431.4 IDE BugsBuild AndroidPublic2018-05-09 16:32
ReporterSam CummingAssigned ToSteven Campbell 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSWindows 10OS Version
Product Version 
Fixed in Version 
Summary0028843: Build Android: Fails if an accented character is used in the project name (VM and YYC)
DescriptionIf you create a project and use an accented character (ë) in the name, your game will fail to compile for Android.
If you go into GGS and change the title and package name for the game in Android, the build will still fail.

linking libyoyo.so
C:\Users\sam.cumming\AppData\Local\Android\sdk\ndk-bundle\toolchains\arm-linux-androideabi-4.9\prebuilt\windows-x86_64\arm-linux-androideabi/bin\ar: Forëign.vars.o: No such file or directory
C:\Users\sam.cumming\AppData\Roaming\GameMaker-Studio\YYC\Android\armv5/lib/libyoyo.a(Runner_Form.o):function RunnerLoadGame(): error: undefined reference to 'InitLLVM(SLLVMVars*)'
C:\Users\sam.cumming\AppData\Roaming\GameMaker-Studio\YYC\Android\armv5/lib/libyoyo.a(VM_Exec.o):function DoCallLibrary(unsigned int, unsigned char*, unsigned char const*, VMExec*): error: undefined reference to 'SYYStackTrace::s_pStart'
C:\Users\sam.cumming\AppData\Roaming\GameMaker-Studio\YYC\Android\armv5/lib/libyoyo.a(VM_Exec.o):function DoCall(unsigned int, unsigned char*, unsigned char const*, VMExec*): error: undefined reference to 'SYYStackTrace::s_pStart'
clang++.exe: error: linker command failed with exit code 1 (use -v to see invocation)
Steps To Reproduce1. Create a new project with a foreign character in the name.
2. Open GGS, remove the foreign character from all fields in Android.
3. Build normally or YYC.
4. Observe error pasted above.
1.4 Found In1.4.1784

Activities

Mike Dailly

2018-02-06 09:34

Manager   ~0057605

Should probably just block accented characters from being used

Steven Campbell

2018-02-09 11:33

Developer   ~0057663

Fixed in GitLab Git Id: b39d81b1e11ea72447ff62e77145bfc381cfa65d

Will use the product part of the package id ( IE: domain.company.product ) which already has strict rules.

Steven Campbell

2018-02-09 15:33

Developer   ~0057667

Additional fix in Git Id: 7070c36c0c58b4200d4aea5de1a9a0b3bec2970e
Because Delphi...

Daniel Cleaton

2018-05-09 15:36

Adminstrator   ~0059240

Mass-closing - either fixed in 1804 or was an internal-only issue.